MailMessageAdapter (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.email.MailMessageAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.email
Class MailMessageAdapter

    java.lang.Object
      org.mule.transport.AbstractMessageAdapter
          org.mule.transport.email.SimpleMailMessageAdapter
              org.mule.transport.email.MailMessageAdapter

All Implemented Interfaces:
  Serializable, ThreadSafeAccess, MessageAdapter

    public class MailMessageAdapter

extends SimpleMailMessageAdapter

`MailMessageAdapter` is a wrapper for a javax.mail.Message that separates multi-part mail messages, storing all but the first part as attachments to the underlying `AbstractMessageAdapter`. Alternatively, you can use `SimpleMailMessageAdapter`, which stores the message as a single entity.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.mule.api.ThreadSafeAccess
`ThreadSafeAccess.AccessControl`

Field Summary
`static String` | `ATTACHMENT_HEADERS_PROPERTY_POSTFIX`

Fields inherited from class org.mule.transport.email.SimpleMailMessageAdapter
`HEADER_LIST_PREFIX`

Fields inherited from class org.mule.transport.AbstractMessageAdapter
`attachments, exceptionPayload, id, logger, properties`

Fields inherited from interface org.mule.api.ThreadSafeAccess
`READ, WRITE`

Constructor Summary
`MailMessageAdapter(Object object)`

Method Summary
`protected void` | `addAttachmentHeaders(String name, Part part)`
`protected void` | `handleMessage(Message message)` Store only the first body part directly; add further parts as attachments.

Methods inherited from class org.mule.transport.email.SimpleMailMessageAdapter
`getPayload, getPayloadAsBytes, getPayloadAsString, isListHeader, newThreadCopy, setMessage, toHeader, toListHeader`

Methods inherited from class org.mule.transport.AbstractMessageAdapter
`addAttachment, addInboundProperties, addProperties, addProperties, assertAccess, clearProperties, getAttachment, getAttachmentNames, getBooleanProperty, getCorrelationGroupSize, getCorrelationId, getCorrelationSequence, getDoubleProperty, getEncoding, getExceptionPayload, getIntProperty, getLongProperty, getProperty, getProperty, getProperty, getPropertyNames, getPropertyNames, getReplyTo, getStringProperty, getUniqueId, isDisabled, newException, release, removeAttachment, removeProperty, resetAccessControl, setBooleanProperty, setCorrelationGroupSize, setCorrelationId, setCorrelationSequence, setDoubleProperty, setEncoding, setExceptionPayload, setIntProperty, setLongProperty, setProperty, setProperty, setReplyTo, setStringProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTACHMENT_HEADERS_PROPERTY_POSTFIX

    public static final String ATTACHMENT_HEADERS_PROPERTY_POSTFIX

See Also:
  Constant Field Values

Constructor Detail

### MailMessageAdapter

    public MailMessageAdapter(Object object)
                       throws MessagingException

Throws:
  `MessagingException`

Method Detail

### handleMessage

    protected void handleMessage(Message message)
                          throws Exception

  Store only the first body part directly; add further parts as attachments.

  Overrides:
    `handleMessage` in class `SimpleMailMessageAdapter`
  Throws:
    `Exception`

### addAttachmentHeaders

    protected void addAttachmentHeaders(String name,
                                        Part part)
                                 throws MessagingException

  Throws:
    `MessagingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.